Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 888803 - Manually Imported server doesn't mark server in discovery queue as imported/accepted which leads to importing the same server several times.
Summary: Manually Imported server doesn't mark server in discovery queue as imported/a...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Inventory
Version: JON 3.1.2
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: JON 4.0.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 14:26 UTC by Armine Hovsepyan
Modified: 2019-06-24 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-24 15:06:12 UTC
Type: Bug


Attachments (Terms of Use)
3EAP (144.92 KB, image/png)
2012-12-19 14:26 UTC, Armine Hovsepyan
no flags Details
2EAP (158.06 KB, image/png)
2012-12-19 14:28 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2012-12-19 14:26:42 UTC
Created attachment 666103 [details]
3EAP

Description of problem:
It is possible to inventory/import the same EAP standalone server twice for the same platform using import from inventory and  import from discovery queue by using hostname from one place and IP from the other.

Version-Release number of selected component (if applicable):
JON 3.1.2

How reproducible:
always

Steps to Reproduce:
1. Start eap server in some port
2. Import platform from discovery queue (without eap server)
3. Import EAP server manually
  
Actual results:
The EAP server in discovery queue stays as new and it is possible to inventory the server "again"  - which leads to having two servers.

Expected results:
EAP server in discovery queue is marked as accepted/inventoried and it is not possible to inventory the same server more than 1 time.

Additional info:
I have installed EAP on machine without hostname - hostname is localhost and EAP had IP 127.0.0.1 - imported manually EAP twice - with using 127.0.0.1 and localhost as hostname and then inventoried/imported EAP server from discovery queue.
please get attached screenshot with having 2 and 3 same EAP server in JBoss Standalone Application Servers list.

Comment 1 Armine Hovsepyan 2012-12-19 14:28:06 UTC
Created attachment 666104 [details]
2EAP

Comment 3 Larry O'Leary 2013-01-07 20:53:07 UTC
This seems like a scenario in where the manually imported resource is getting a different key then the one in the discovery queue. The agent should reconcile the two resources but in this case, it doesn't appear to be the case.

Comment 5 Jay Shaughnessy 2014-08-25 21:37:28 UTC
This is still possible for any resource type that generates a different resource key when imported manually than when autodiscovered.  AS7 Standalone servers, for example, will generate a key like this when auto-discovered:

  hostConfig: C:\app\jboss\jboss-eap-6.1\standalone\configuration\standalone-full- rhq.xml

And like this when imported:

  hostPort: localhost:9990


It may be that the same key is not easy to generate in the different scenarios, I'm not sure.

The question is whether this is a real-world issue or not. To a degree, manual import exists to add resource that *are not* able to be autodiscovered.  So this may just be a manufactured issue and perhaps one we can leave documented here but not expend further effort on avoiding.

Comment 6 Jay Shaughnessy 2014-08-26 13:50:09 UTC
If work has to be done here it would be plugin code for relevant plugins. In this case the AS7 plugin could potentially add config path to the import parameters, used as an alternative to host:port.  Or possible given host:port try and determine if this was a co-located install and convert host:port to config path.

But the point is, import is really for when you can't autodiscover, and that means remote servers.

I don't think work should be done here, I think we can close this as not a bug.

Comment 7 Jay Shaughnessy 2014-08-26 13:57:46 UTC
Re-targeting given feedback from triage team.

Comment 9 Filip Brychta 2019-06-24 15:06:12 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.